#
# spec file for package libsigrokdecode
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libsigrokdecode
%define libname %{name}2
Version:        0.3.1
Release:        2.3
Summary:        Protocol Decoders for sigrok
License:        GPL-3.0+
Group:          Productivity/Scientific/Electronics
Url:            http://sigrok.org
Source0:        http://sigrok.org/download/source/libsigrokdecode/%{name}-%{version}.tar.gz
Patch0:         libsigrokdecode-versioned-decoders.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  check-devel >= 0.9.4
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel >= 2.24.0
BuildRequires:  libsigrok-devel >= 0.3.0
BuildRequires:  libtool
BuildRequires:  python3-devel >= 3.2
Requires:       python3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The sigrok project aims at creating a portable, cross-platform,
Free/Libre/Open-Source logic analyzer software that supports various
logic analyzer hardware products.

libsigrokdecode is a shared library written in C which provides the basic
API for running sigrok protocol decoders. The protocol decoders themselves
are written in Python.

%package     -n %{libname}
Summary:        Protocol Decoder Library for sigrok
Group:          System/Libraries
Requires:       python3-base

%description -n %{libname}
The sigrok project aims at creating a portable, cross-platform,
Free/Libre/Open-Source logic analyzer software that supports various
logic analyzer hardware products.

libsigrokdecode is a shared library written in C which provides the basic
API for running sigrok protocol decoders. The protocol decoders themselves
are written in Python.

%package        devel
Summary:        Protocol Decoder Library for sigrok
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Requires:       python3-devel

%description    devel
The sigrok project aims at creating a portable, cross-platform,
Free/Libre/Open-Source logic analyzer software that supports various
logic analyzer hardware products.

libsigrokdecode is a shared library written in C which provides the basic
API for running sigrok protocol decoders. The protocol decoders themselves
are written in Python.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fiv
%configure \
        --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root,-)
%doc COPYING README HACKING NEWS
%{_libdir}/*.so.*
%{_datadir}/%{name}-%{version}/

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Tue Aug  4 2015 max@suse.com
- New version: 0.3.1:
  * This is mostly a bugfix-release, the C library API was not
    changed.
  * Improvements and bugfixes in existing protocol decoders.
  * New decoders: adns5020, am230x, arm_etmv3, arm_itm, arm_tpiu,
    eeprom24xx, jitter, mdio, mrf24j40, nrf24l01, pwm, rfm12,
    spdif, stepper_motor, swd, tca6408a, timing.
* Fri Oct 24 2014 dimstar@opensuse.org
- Add libsigrokdecode-versioned-decoders.patch: move decoders to
  a versioned subdirectory.
- Change RPM Group of the library package to System/Libraries.
* Thu Oct 23 2014 max@suse.com
- Keep the decoders under /usr/share/libsigrokdecode (unversioned)
  otherwise the library won't find them.
* Sun Aug  3 2014 dmitry_r@opensuse.org
- Change package license to GPL-3.0+ according to README
- Minor spec file cleanup
* Mon Jun  2 2014 bugs@vdm-design.de
- sync spec file with .spec from rmax
* Fri May 30 2014 bugs@vdm-design.de
- Update to 0.3.0
  * New supported protocol decoders:
  - guess_bitrate  Guess the bitrate/baudrate of a signal
  - ir_nec         NEC infrared remote control protocol
  - ir_rc5         RC-5 infrared remote control protocol
  - midi           Musical Instrument Digital Interface
  - parallel       Parallel synchronous bus decoder
  - rgb_led_spi    RGB LED string decoder (SPI)
  - xfp            10 Gigabit Small Form Factor Pluggable Module
  - z80            Zilog Z80 microprocessor disassembly
  * New features:
  - Support for annotation rows (groups of annotation classes to be shown together).
  - The new OUTPUT_BINARY facility allows PDs to output decoded data in various (file) formats (e.g. I²S output in WAV format, USB output in PCAP format for Wireshark, LCD controller output in PNG format for viewing, and so on).
  - The new OUTPUT_META facility allows PDs to report certain data points or events to the frontend, which can be used for various post-processing and statistics purposes (e.g. simple counts, average/mean values, min/max values, and more).
  - The protocol decoder API has changed, the API version is bumped to 2. Decoders using the old PD API no longer work with this library release.
  - A large amount of PD fixes have been done to improve the usability of all PDs when used with GUIs (long/short annotations for zoom-dependent display, corrected annotation sample numbers, use of annotation rows, and so on).
  - Various API improvements were also performed to allow for all the new features. You can take a look at the API docs for more details.
  - And of course all PDs and the library code have received quite a few bugfixes, as usual.
* Thu Jan 24 2013 max@suse.com
- Requires python3.
* Wed Jan 16 2013 max@suse.com
- Initial build from git snapshot.
